Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Interface HtmlPathResolver

    public interface HtmlPathResolver

`HtmlPathResolver` provides methods for resolving resources based on HTML Render Dependencies confiuration. `HtmlPathResolver` objects are valid only as long as the related `PortalLookAndFeel` object is valid.

See Also
  `Skin.getHtmlPathResolver()`, `Skeleton.getHtmlPathResolver()`, "Skin and Skeleton configuration element <render-dependencies>"
  This interface is intended to be implemented only by BEA Weblogic Portal. BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`String` | `resolveLinkPath(String uri)` Resolves the specified uri using the HTML Render Dependencies `links` configuration for the related Look and Feel component (Skin/Skeleton).
`String` | `resolveScriptPath(String uri)` Resolves the specified uri using the HTML Render Dependencies `scripts` configuration for the related Look and Feel component (Skin/Skeleton).
`String` | `resolveStylePath(String uri)` Resolves the specified uri using the HTML Render Dependencies `styles` configuration for the related Look and Feel component (Skin/Skeleton).

Method Detail

### resolveLinkPath

    String resolveLinkPath(String uri)
                           throws IllegalStateException

  Resolves the specified uri using the HTML Render Dependencies `links` configuration for the related Look and Feel component (Skin/Skeleton). It is assumed that the specified uri is a partial resource path, i.e. "window.css" or "css/colors.css". NOTE: Calls to `PortalLookAndFeel.reinit()` will cause all previously resolved link paths to become invalid.

  LIFECYCLE RESTRICTION: This method can only be called during the `render` lifecycle; calls prior to the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `uri` - Parital resource path to resolve
  Returns
    The resolved link path; null if the specified path could not be resolved
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    `PortalLookAndFeel.reinit(String, String, String, String, String, String)`, "Skin or Skeleton configuration element <links>"

### resolveScriptPath

    String resolveScriptPath(String uri)
                             throws IllegalStateException

  Resolves the specified uri using the HTML Render Dependencies `scripts` configuration for the related Look and Feel component (Skin/Skeleton). It is assumed that the specified uri is a partial resource path, i.e. "dhtml.js" or "js/dialog.js". NOTE: Calls to `PortalLookAndFeel.reinit()` will cause all previously resolved script paths to become invalid.

  LIFECYCLE RESTRICTION: This method can only be called during the `render` lifecycle; calls prior to the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `uri` - Parital resource path to resolve
  Returns
    The resolved script path; null if the specified path could not be resolved
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    `PortalLookAndFeel.reinit(String, String, String, String, String, String)`, "Skin or Skeleton configuration element <scripts>"

### resolveStylePath

    String resolveStylePath(String uri)
                            throws IllegalStateException

  Resolves the specified uri using the HTML Render Dependencies `styles` configuration for the related Look and Feel component (Skin/Skeleton). It is assumed that the specified uri is a partial resource path, i.e. "window.css" or "css/colors.css". NOTE: Calls to `PortalLookAndFeel.reinit()` will cause all previously resolved style paths to become invalid.

  LIFECYCLE RESTRICTION: This method can only be called during the `render` lifecycle; calls prior to the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `uri` - Parital resource path to resolve
  Returns
    The resolved style path; null if the specified path could not be resolved
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle
  See Also
    `PortalLookAndFeel.reinit(String, String, String, String, String, String)`, "Skin or Skeleton configuration element <styles>"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved